summaryrefslogtreecommitdiff
path: root/short-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'short-tests.sh')
-rwxr-xr-xshort-tests.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/short-tests.sh b/short-tests.sh
new file mode 100755
index 0000000..a1db762
--- /dev/null
+++ b/short-tests.sh
@@ -0,0 +1,24 @@
+if [ ! -n "$CUDA_INSTALL_PATH" ]; then
+ echo "ERROR ** Install CUDA Toolkit and set CUDA_INSTALL_PATH.";
+ exit 1;
+fi
+
+if [ ! -n "$CONFIG" ]; then
+ echo "ERROR ** set the CONFIG env variable to one of those found in ./accel-sim-framework/util/job_launching/configs/define-standard-cfgs.yml";
+ exit 1;
+fi
+
+if [ ! -n "$GPUAPPS_ROOT" ]; then
+ echo "ERROR ** GPUAPPS_ROOT to a location where the apps have been compiled";
+ exit 1;
+fi
+
+git config --system --add safe.directory '*'
+
+export PATH=$CUDA_INSTALL_PATH/bin:$PATH
+source ./setup_environment
+make -j
+
+git clone https://github.com/accel-sim/accel-sim-framework.git
+./accel-sim-framework/util/job_launching/run_simulations.py -C $CONFIG -B rodinia_2.0-ft -N regress -l local
+./accel-sim-framework/util/job_launching/monitor_func_test.py -v -N regress -j procman